goalGatherWood.mSteps = 
{
	{ action = "click", object = objectHoWood01 },
	{ action = "click", object = objectHoWood02 },
	{ action = "click", object = objectHoWood03 },
	{ action = "click", object = objectHoWood04 },
	{ action = "click", object = objectHoWood05 },
	{ action = "click", object = objectHoWood06 },
	{ action = "click", object = objectHoWood07 },
	{ action = "click", object = objectHoWood08 },
	{ action = "click", object = objectHoWood09 },
	{ action = "click", object = objectHoWood10 },
	{ action = "click", object = objectPoiKindling },
	{ action = "solve", layout = layoutWoods2Sticks },
}
-- ----------------------------------------------------------------------------
goalGatherWood.foundKindling = false
goalGatherWood.foundFirewood = false
-- ----------------------------------------------------------------------------
function goalGatherWood:onStarted()
    
    objectPoiKindling:ss(kActive)	-- in woods2
    objectHoKindling:ss(kActive)	-- in shopping list only
    
    objectHoWood01:ss(kActive)
    objectHoWood02:ss(kActive)
    objectHoWood03:ss(kActive)
    objectHoWood04:ss(kActive)
    objectHoWood05:ss(kActive)
    objectHoWood06:ss(kActive)
    objectHoWood07:ss(kActive)
    objectHoWood08:ss(kActive)
    objectHoWood09:ss(kActive)
    objectHoWood10:ss(kActive)
    
    objectIoCampfire:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalGatherWood:onClickObject(layout, object, props, x, y)

	if (not self.foundFirewood) then
		if (objectHoWoodBundle:isFound()) then
			if (not self.foundKindling) then
				think("MESSAGE_FOUND_FIREWOOD")
			end

			self.foundFirewood = true		
		end
	end
	
	self:checkAchieved()	
	
end
-- ----------------------------------------------------------------------------
function goalGatherWood:onAnimationFinish(animationName)
	
	if (animationName == "fadingInKindling_blocking") then
		if (not objectPoiFirepit:isDone()) then
			objectPoiFirepit:ss(kDone)
		end
		objectPoiFirepitKindling:ss(kActive)
	
	elseif (animationName == "fadingInSticks_blocking") then
		if (not objectPoiFirepit:isDone()) then
			objectPoiFirepit:ss(kDone)
		end
		objectPoiFirepitKindling:ss(kInactive)
		objectPoiFirepitWood:ss(kActive)
		
	end
	
end
-- ----------------------------------------------------------------------------
function goalGatherWood:onSolveStart(layout)

	if (not self.foundKindling) then
		if (objectHoKindling:isFound()) then
			if (not self.foundFirewood) then
				think("MESSAGE_FOUND_KINDLING")
			end
			
			self.foundKindling = true
		end
	end	
	
	self:checkAchieved()	

end
-- ----------------------------------------------------------------------------
function goalGatherWood:onSolveFinish(layout)
end
-- ----------------------------------------------------------------------------
function goalGatherWood:checkAchieved()

	if (self.foundKindling and self.foundFirewood) then
		think("MESSAGE_FOUND_KINDLING_AND_FIREWOOD")
		self:achieved()
	end

end